Unable to install mongo shell on ubuntu 18.04

I have followed https://docs.mongodb.com/manual/tutorial/install-mongodb-enterprise-on-ubuntu/ but I’m getting this error :

" The following packages have unmet dependencies:
mongodb-enterprise : Depends: mongodb-enterprise-server but it is not installed
Depends: mongodb-enterprise-mongos but it is not installed
Depends: mongodb-enterprise-tools but it is not installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
E: Unable to correct dependencies "

I have tried using “apt–fix-broken install” “apt-get install -f” but getting the same error. How do I install this from the start without getting the error again?

Thanks

Hey @Srikar_27709

I am not sure why you are getting this error. However to save you some headache you can download and install the Community Version of MongoDB Server for this course. Any course that truly required the use of Enterprise has a vagrant VM setup for it preloaded.